<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Bootstrap Grid System</title>

	<!-- CSS External Style -->
	<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

	<!-- Bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<body class="text-center">
	<h1>Bootstrap Grid System</h1>

	<!-- 
		USe CRC Rule for Grid System
			► Container
			► Row
			► Columns
	 -->
	<!-- Two Columns Start -->
	<h2>Two Columns</h2>
	<div class="container-fluid">
		<h3>1:1 Ratio</h3>
		<div class="text-light row">

			<div class="bg-primary pt-3 pb-3 border border-dark col-6">
				6 Col
			</div>
			
			<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
				6 Col
			</div>
		</div>

		<h3>1:2 Ratio</h3>
		<div class="text-light row">

			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
			
			<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
				8 Col
			</div>
		</div>

		<h3>1:3 Ratio</h3>
		<div class="text-light row">

			<div class="bg-primary pt-3 pb-3 border border-dark col-3">
				3 Col
			</div>
			
			<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
				9 Col
			</div>
		</div>
	</div>
	<!-- End of Two Columns -->

	<!-- Three Columns Start -->
	<h2>Three Columns</h2>
	<div class="container-fluid">
		<!-- Row with 3 equal columns -->
		<h3>1:1:1 Ratio</h3>
		<div class="text-light row">

			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>

			<div class="bg-primary pt-3 pb-3 border border-dark col-4">
				4 Col
			</div>
		</div>

			<!-- Row w 3 cols in 1:2:1 Ratio -->
			<h3>1:2:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>

				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
					6 Col
				</div>

				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>
			</div>

			<!-- Row w 3 cols in 1:2:1 Ratio -->
			<h3>Uneven</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>

				<div class="bg-secondary pt-3 pb-3 border border-dark col-7">
					7 Col
				</div>

				<div class="bg-primary pt-3 pb-3 border border-dark col-2">
					2 Col
				</div>
			</div>
	</div>
	<!-- End of Three Columns -->

	<!-- Automatic Sizing Start -->
	<h2>Automatic Sizing</h2>
	<div class="container-fluid">
		<div class="text-light row">
			
			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col"
				>Auto
			</div>

			<div class="bg-primary pt-3 pb-3 border border-dark col">
				Auto
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col"
				>Auto
			</div>

			<div class="bg-primary pt-3 pb-3 border border-dark col"
				>Auto
			</div>
			
		</div>
	</div>
	<!-- End of Automatic Sizing -->

	<!-- Mobile Responsive Columns Start -->
	<h2>Mobile Responsice Columns</h2>
	<div class="container-fluid">
		<div class="text-light row">

			<div class="bg-primary pt-3 pb-3 border border-dark col-sm-4 col-md-6 col-lg-2"
				>Responsive
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10"
				>Responsive
			</div>

		</div>
	</div>
	<!-- Mobile Responsive Columns End -->

	<!-- Multi Column Layout Start -->
	<h2>Multi-Column Layouts</h2>
	<div class="container-fluid">
		<div class="text-light row">
			
			<div class="bg-primary pt-3 pb-3 border border-dark col-4"
				>Catalog 1
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col-4"
				>Catalog 2
			</div>

			<div class="bg-primary pt-3 pb-3 border border-dark col-4"
				>Catalog 3
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col-4"
				>Catalog 4
			</div>

			<div class="bg-primary pt-3 pb-3 border border-dark col-4"
				>Catalog 5
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col-4"
				>Catalog 6
			</div>

		</div>
	</div>
	<!-- Multi Column Layout End -->

	<!-- Offset Columns Start -->
	<div class="container-fluid">
		<div class="text-light row">

			<div class="bg-primary pt-3 pb-3 border border-dark offset-2 col-6"
				>Offset COlumn
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark offset-md-3 col-6"
				>Offset COlumn
			</div>

			<div class="bg-primary pt-3 pb-3 border border-dark offset-lg-4 col-6"
				>Offset COlumn
			</div>

		</div>
	</div>
	<!-- Offset Columns End -->

	<!-- Columns Order Start -->
	<h2>Columns Order</h2>
	<!-- Order Class allows us to interchanger the order in which elements are displayed -->
	<div class="container-fluid">
		<div class="text-light row">
			
			<div class="bg-primary pt-3 pb-3 border border-dark col order-2 order-md-1">
				Left
			</div>

			<div class="bg-secondary pt-3 pb-3 border border-dark col order-1 order-md-2">
				RIght
			</div>
			
		</div>
	</div>
	<!-- Columns Order End -->




	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>